Package jxl

# Interface DateCell

All Superinterfaces:
  `Cell`

All Known Subinterfaces:
  `DateFormulaCell`

All Known Implementing Classes:
  `DateTime`

public interface DateCell extends Cell
A date cell

## Method Summary

Modifier and Type
Method
Description
`Date`
`getDate()`
Gets the date contained in this cell
`DateFormat`
`getDateFormat()`
Gets the DateFormat used to format the cell.
`boolean`
`isTime()`
Indicates whether the date value contained in this cell refers to a date, or merely a time

### Methods inherited from interface jxl.Cell

`getCellFeatures, getCellFormat, getColumn, getContents, getRow, getType, isHidden`

## Method Details

### getDate

Date getDate()
Gets the date contained in this cell

Returns:
  the cell contents

### isTime

boolean isTime()
Indicates whether the date value contained in this cell refers to a date, or merely a time

Returns:
  TRUE if the value refers to a time

### getDateFormat

DateFormat getDateFormat()
Gets the DateFormat used to format the cell. This will normally be the format specified in the excel spreadsheet, but in the event of any difficulty parsing this, it will revert to the default date/time format.

Returns:
  the DateFormat object used to format the date in the original excel cell